﻿<%@ Page Title="Convert the Current HTML Page to PDF" Language="vb" MasterPageFile="~/MasterPage.Master"
	AutoEventWireup="true" CodeBehind="Convert_Current_Page.aspx.vb" Inherits="WnvHtmlToPdfDemo.HTML_to_PDF.Convert_Current_Page" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<table style="width: 100%; height: 100%">
		<tr>
			<td style="height: 20px; padding-bottom: 1px">
				<asp:Menu ID="demoMenu" runat="server" Orientation="Horizontal" Font-Bold="True"
					OnMenuItemClick="demoMenu_MenuItemClick">
					<Items>
						<asp:MenuItem Text="Live Demo" ToolTip="Live Demo" Value="Live_Demo" Selected="True">
						</asp:MenuItem>
						<asp:MenuItem Text="Description" ToolTip="Description" Value="Description"></asp:MenuItem>
						<asp:MenuItem Text="Sample Code" ToolTip="Sample Code" Value="Sample_Code"></asp:MenuItem>
					</Items>
					<StaticHoverStyle BackColor="White" Font-Underline="True" />
					<StaticMenuItemStyle Font-Size="14px" ForeColor="Black" BackColor="WhiteSmoke" BorderStyle="Solid"
						BorderWidth="1px" HorizontalPadding="20px" ItemSpacing="1px" VerticalPadding="5px"
						Font-Bold="False" Font-Underline="False" />
					<StaticSelectedStyle BackColor="White" Font-Underline="False" ForeColor="Navy" />
				</asp:Menu>
			</td>
		</tr>
		<tr>
			<td style="border: solid 1px Black; padding-top: 10px; padding-left: 10px; padding-right: 10px;
				padding-bottom: 0px">
				<table style="width: 100%; height: 100%">
					<tr>
						<td style="font-size: 14px; font-weight: bold; height: 20px; padding-bottom: 15px;
							padding-top: 5px">
							Convert the Current HTML Page to PDF
						</td>
					</tr>
					<tr>
						<td style="width: 100%;">
							<asp:MultiView ID="demoMultiView" runat="server" ActiveViewIndex="0">
								<asp:View ID="liveDemoView" runat="server">
									<table style="width: 535px; height: 855px">
										<tr>
											<td style="vertical-align: top">
												<table>
													<tr>
														<td>
															In this demo you can convert the current HTML page to PDF. The values you fill in
															HTML form will be captured in the generated PDF document. The Full Description and
															a Code Sample can be accessed from the top tabs.
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="font-weight: bold" colspan="2">
																		Fill the HTML Form Values to Capture in PDF
																	</td>
																</tr>
																<tr>
																	<td style="height: 20px" colspan="2">
																	</td>
																</tr>
																<tr>
																	<td style="width: 20px">
																	</td>
																	<td>
																		<table>
																			<tr>
																				<td>
																					First Name:
																				</td>
																				<td style="width: 5px">
																				</td>
																				<td>
																					<asp:TextBox ID="firstNameTextBox" runat="server" Width="70px">John</asp:TextBox>
																				</td>
																				<td style="width: 50px">
																				</td>
																				<td>
																					Last Name:
																				</td>
																				<td style="width: 5px">
																				</td>
																				<td>
																					<asp:TextBox ID="lastNameTextBox" runat="server" Width="70px">Smith</asp:TextBox>
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px" colspan="2">
																	</td>
																</tr>
																<tr>
																	<td style="width: 20px">
																	</td>
																	<td>
																		<table>
																			<tr>
																				<td>
																					Gender:
																				</td>
																				<td style="width: 15px">
																				</td>
																				<td>
																					<asp:RadioButton ID="maleRadioButton" runat="server" GroupName="Gender" Text="Male"
																						Checked="True" />
																				</td>
																				<td style="width: 10px">
																				</td>
																				<td>
																					<asp:RadioButton ID="femaleRadioButton" runat="server" GroupName="Gender" Text="Female" />
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px" colspan="2">
																	</td>
																</tr>
																<tr>
																	<td style="width: 20px">
																	</td>
																	<td>
																		<table>
																			<tr style="height: 30px">
																				<td>
																					<asp:CheckBox ID="haveCarCheckBox" Checked="true" runat="server" AutoPostBack="true"
																						OnCheckedChanged="haveCarCheckBox_CheckedChanged" Text="I have a car" />
																				</td>
																				<td style="width: 15px">
																				</td>
																				<td>
																					<asp:Panel ID="selectCarTypePanel" runat="server">
																						<table>
																							<tr>
																								<td>
																									Car Type:
																								</td>
																								<td style="width: 5px">
																									<asp:DropDownList ID="carTypeDropDownList" runat="server">
																										<asp:ListItem>Volvo</asp:ListItem>
																										<asp:ListItem>Saab</asp:ListItem>
																										<asp:ListItem>Audi</asp:ListItem>
																										<asp:ListItem>Opel</asp:ListItem>
																									</asp:DropDownList>
																								</td>
																							</tr>
																						</table>
																					</asp:Panel>
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px" colspan="2">
																	</td>
																</tr>
																<tr>
																	<td style="width: 20px">
																	</td>
																	<td>
																		<table>
																			<tr>
																				<td>
																					Comments:
																				</td>
																				<td style="width: 15px">
																				</td>
																				<td>
																					<asp:TextBox ID="commentsTextBox" runat="server" Height="75px" TextMode="MultiLine"
																						Width="253px">My comments
Line 1
Line 2</asp:TextBox>
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<asp:Button ID="convertToPdfButton" runat="server" Text="Convert This HTML Page to PDF"
																OnClick="convertToPdfButton_Click" />
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</asp:View>
								<asp:View ID="descriptionView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="descriptionLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
								<asp:View ID="sampleCodeView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="sampleCodeLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
							</asp:MultiView>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</asp:Content>